FROM node:lts-alpine AS build
WORKDIR /usr/src/app

COPY --chown=node:node . .

RUN yarn build
## Launch nodejs server for local dev 
ENTRYPOINT [ "yarn" , "start:dev"] 

FROM node:lts-alpine 
ENV NODE_ENV=production \
    PORT=3000
WORKDIR /usr/src/app
COPY . .
# Copy results from previous stage "build"
COPY --chown=node:node --from=build /usr/src/app/ ./



EXPOSE ${PORT}

USER node
CMD [ "yarn" , "start"] 

